import { PackageJson } from 'type-fest';
import { Middleware } from './api-handler';
declare global {
    namespace NodeJS {
        interface Global {
            __$NEXT_SAAS__: {
                PWD: string;
                pkg: PackageJson;
                autoload: Middleware[];
                config: {
                    [key: string]: any;
                    mailer?: {
                        transport: 'SES' | 'SMTP';
                        from?: string;
                        templates?: string;
                    };
                };
            };
        }
    }
}
export declare type cliCommand = (argv?: string[]) => void;
